## net.sf.saxon.expr
Interface Binding

All Known Implementing Classes:
  Assignation, GeneralVariable, UserFunctionParameter, Variable

public interface Binding

Binding is a interface used to represent the run-time properties and methods associated with a variable: specifically, methods to get the name, type, and value of the variable.

Method Summary
`Value` `evaluateVariable(XPathContext context)` Evaluate the variable

Method Detail

### evaluateVariable

    public Value evaluateVariable(XPathContext context)
                           throws XPathException

  Evaluate the variable

    `XPathException`